/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/
               
#ifndef SINGLEMB_HANDLERFUNCTIONS_H
#define SINGLEMB_HANDLERFUNCTIONS_H

#include "SingleMB_GlobalVariables.h"

#include "SingleMB_GlobalVariables.h" 
#include "SingleMB_DebuggingFunctions.h"
#include "SingleMB_SendFunctions.h"

/*
* This function takes care of the incoming messages and writes payload into
* the receive buffers defined in GlobalVariables.h
*
* It also calls the send functions to send Acknowledge frames when 
* necessary
*/
static void FifoRecvHandler(void *CallBackRef);


/*
* Sets Timer_Expired to 1 when timer counter wraps around
* 
* This value is used in the SendReliably function as an indicator  
* that we did not receive an ACK in the acceptable delay
*
* It is disabled not to generate new interrupts.
* We enable it only when we start counting after a send.
*
* CallBackRef is a pointer to the XTmrCtr
*/
static void TimerCounterHandler(void *CallBackRef);

/*
* Checks for errors
*/
static void FifoSendHandler(void *CallBackRef);

/*
* Called in case of Errors to reset the system
*/ 
static void ErrorHandler(void *CallBackRef, XStatus Code);
	
#endif
