/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Client for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/
           
#ifndef	SINGLEMB_MACADDRESSES_H
#define	SINGLEMB_MACADDRESSES_H


/**************************  Number of Boards    ****************************************/ 


#define NUMBER_OF_BOARDS			5


/**************************  MAC Addresses Definitions    *******************************/ 

static Xuint8 Address0[XEM_MAC_ADDR_SIZE] =	//   48 bits  address  
{
    0x06, 0x05, 0x04, 0x03, 0x02, 0x00
};


static Xuint8 Address1[XEM_MAC_ADDR_SIZE] =		//   48 bits  address     
{													
    0x06, 0x05, 0x04, 0x03, 0x02, 0x01
};


static Xuint8 Address2[XEM_MAC_ADDR_SIZE] =	//   48 bits  address  
{
    0x06, 0x05, 0x04, 0x03, 0x02, 0x02
};

static Xuint8 Address3[XEM_MAC_ADDR_SIZE] =	//   48 bits  address  
{
    0x06, 0x05, 0x04, 0x03, 0x02, 0x03
};

static Xuint8 Address4[XEM_MAC_ADDR_SIZE] =	//   48 bits  address  
{
    0x06, 0x05, 0x04, 0x03, 0x02, 0x04
};

/**************************  Local MAC Address Selection   ******************************/ 

Xuint8 * LocalAddress = Address2;

/**************************  Function Definitions   *************************************/ 

/*
* This function takes a pointer to two MAC Addresses and 
* compares them
* returns XST_SUCCESS if they match
*/
XStatus CompareMACAddresses(Xuint8 *MAC1, Xuint8 *MAC2);

/*
* This function returns the appropriate index for the CommVars Array
* according to the MACAddress Field passed to it
* returns -1 for FAILURE
*/
Xuint32 GetIndex(Xuint8 *MACAddress);





#endif
