/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Client for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/

#define numplayers 2

int hand7[numplayers];
int rank7[numplayers];
int rank7a[numplayers];
int player[numplayers];

int holdemMap[numplayers*2+5];    // mapping of deck to hands
//  This is the seed for the integer uniform 
//  random number generator
int idum3;
//  This is the deck of cards being shuffled.
//  Cards are numbered 1-52 and start off in 
//  corresponding slots 1-52 [by initDeck()].
int deck[53];

int valHands[numplayers*2+5];
int suitHands[numplayers*2+5];
int bitHands[numplayers*2+5];

int hands7[numplayers];
unsigned char table7[16384];

int hands7[numplayers];
int handf7[numplayers];
int longsuit7[numplayers];
int nf;

//  This array contains the suits (only)
//  for each card dealt in a holdem round
//  These arrays are filled by getF()
int handf2[numplayers];    // max suited 2 card hand
int lonsuit2[numplayers];
int handf7[numplayers];    // max suited hand at river
int longsuit7[numplayers];

void getF(void);
void getSF(void);
void getCombos(void);
void winners(int);
void getstr7s(void);
void printHands(int turn);
void getSF7(void);
void initDeck(void);
void remapH(void);
void shuffle(void);
void getBlinds(void);
int getBet(int player);
void drawText(char *text, Xuint16 color, int row, int col);//only CAPITAL letters, and numbers
void drawInt(int number, Xuint16 color, int row, int col);


int num;
int cash[numplayers];
int status[numplayers];
#define OUT			5
#define FOLDED		4
#define ALLIN		3
#define RAISED		2
#define CALLED		1
#define STILLTOBET	0
int bet[numplayers];
int totalbet[numplayers];
int pot;
int sidepot;
int button;
int blind;
int called;
int maxcurrentbet;
int maxbet;
int secondmaxbet;
int numwithmaxbet;
int playerid;
int updatehand;
int newturn;
int turn;
int oldturn;
int dobet;
int playerbet;
int connect;
int tempbet;
int amsmallblind;
int quit;