/******************************************************************************
*
*	Simple Network Sniffer __ Handler Functions 
*
* 	Author: 	Patrick E. Akl  
*           	American University of Beirut
*				August 2004
*			 	
*	For any comments, suggestions or bug discovery, please contact me at the following
*	email address : patrickakl@hotmail.com
*					
*	or contact Christopher-John Comis (University of Toronto)
*   at the following email address:
*					comis@eecg.toronto.edu
*
*******************************************************************************/



#ifndef SNIFFER_HANDLERS_H
#define SNIFFER_HANDLERS_H

#include "Sniffer_GlobalVariables.h" 
#include "Sniffer_DebugFunctions.h"

/*
*	This function will read all frames on the network and will 
*	display the main parameters of the messages
*
*	We also check the state of the Gpio to check whether to print
*	some information or all the fields
*/
static void FifoRecvHandler(void *CallBackRef);

/*
* Checks for errors.
*/
static void FifoSendHandler(void *CallBackRef);

/*
* Called in case of Errors to reset the system
*/ 
static void ErrorHandler(void *CallBackRef, XStatus Code);

#endif
