/******************************************************************************
*
*	Simple Reliable Communication System over Ethernet _ Single MicroBlaze System 
*	
*	A simple DIP switch is used to send frames
* 
* 	Author: 	Patrick E. Akl  
*           	American University of Beirut
*				August 2004
*			 	
*	For any comments, suggestions or bug discovery, please contact me at the following
*	email address : patrickakl@hotmail.com
*					
*	or contact Christopher-John Comis (University of Toronto)
*   at the following email address:
*					comis@eecg.toronto.edu
*
*******************************************************************************/
                            
/*****************************  Include Files *********************************/
       
#include "xemac.h"		       	// Ethernet Module             	       
#include "xparameters.h"               			                              
#include "xstatus.h"                                                                               
                                                           
#include "mb_interface.h"       // MicroBlaze  
#include "xintc.h"       		// for interrupt control
#include "xgpio.h"    			// for the switch  
#include "xtmrctr.h"			// To implement delayed frame retransmissions 

#include "SingleMB_MACAddresses.h"				// contains the MAC Address Definitions and some functions
#include "SingleMB_GlobalVariables.h" 			// contains the global variables shared among the 5 files
#include "SingleMB_HandlerFunctions.h" 			// contains handler functions 
#include "SingleMB_SendFunctions.h"				// contains the send functions of frame and message layers
#include "SingleMB_InitializationFunctions.h"	// contains the initialization functions
#include "SingleMB_DebuggingFunctions.h"		// contains the functions to display frame 
												// and message headers and payload...

#include "SingleMB_MACAddresses.c"				// contains the MAC Address Definitions and some functions
#include "SingleMB_HandlerFunctions.c" 			// contains handler functions 
#include "SingleMB_SendFunctions.c"				// contains the send functions of frame and message layers
#include "SingleMB_InitializationFunctions.c"	// contains the initialization functions
#include "SingleMB_DebuggingFunctions.c"		// contains the functions to display frame 
												// and message headers and payload...

/*********************************    MAIN FUNCTION      *******************************/

int main()       
{	     
	/* Definitions */
    
	Xuint32 counter;        
	Xuint32 debouncing;  
	Xuint8 * BigPtr;     
	Xuint8 * TempAddressPtr;   

	/* Initializations */
	 
	Initialize_Parameters();	// for EMAC and TIMERCOUNTER and INTERRUPTS and GPIO

	/*                 */
  
	BigPtr = (Xuint8 *)BigBuffer;
	for(counter = 0 ; counter < 4400 ; counter++)   // fill about two and a half buffers
	{	
		*(Xuint8 *) BigPtr = (Xuint8) (counter % 100)	;
		BigPtr ++;  
	}        
	BigPtr = (Xuint8 *)BigBuffer;       
       
  
    while(1)
    {  
	if(XGpio_DiscreteRead(&Gpio) >= 2  && reload_flag == 1) // input DIP switch is on
    	{												
			for(debouncing = 0 ; debouncing < 250 ; debouncing++);		
			if(XGpio_DiscreteRead(&Gpio) >= 2  &&  reload_flag == 1)
			{
					if(Fragment_and_Send_Reliably(1510, BigPtr, Address2) == XST_SUCCESS)    
					{   	
						xil_printf("Sending Succeeded !!\n\r");	 		 
					}                
					else                            
					{          
						xil_printf("Sending Error !!\n\r");
					}

				reload_flag = 0; // need to toggle DIP switch SW2
			}       
		}        
	else if (XGpio_DiscreteRead(&Gpio) < 2 && reload_flag != 1 )         
	 	{
			for(debouncing = 0 ; debouncing < 250 ; debouncing++);

			if(XGpio_DiscreteRead(&Gpio)<2 && reload_flag !=1) 		
			{ 
				xil_printf("Reloading !!\n\r");

				reload_flag=1; 	// now we can resend							
			}
		}	    													
    }							// end of while(1)	
	

	/************************
	** User Code Ends Here **
	*************************/

	while(1)
	{
	}

	return 0;          
}

/*********************************************************************************************/




