/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/
           
#include "SingleMB_MACAddresses.h"

/*
* This function takes a pointer to two MAC Addresses and 
* compares them
* returns XST_SUCCESS if they match
*/
XStatus CompareMACAddresses(Xuint8 *MAC1, Xuint8 *MAC2)
{
	Xuint8 cnt;
	Xuint8 *ptr1 = MAC1;
	Xuint8 *ptr2 = MAC2;

	for(cnt = 0 ; cnt < XEM_MAC_ADDR_SIZE ; cnt++)
	{
		if( *(Xuint8 *)ptr1  !=   *(Xuint8 *)ptr2 )
			return XST_FAILURE;
	
		ptr1 ++;
		ptr2 ++;

	}
	return XST_SUCCESS;
}

/*
* This function returns the appropriate index for the CommVars Array
* according to the MACAddress Field passed to it
* returns -1 for FAILURE
*/
Xuint32 GetIndex(Xuint8 *MACAddress)
{
	if(CompareMACAddresses((Xuint8*)Address0, (Xuint8 *)MACAddress) == XST_SUCCESS )
	{
		return 0 ;
	}
	else if(CompareMACAddresses((Xuint8*)Address1, (Xuint8 *)MACAddress) == XST_SUCCESS )
	{
		return 1 ;
	}
	else if(CompareMACAddresses((Xuint8*)Address2, (Xuint8 *)MACAddress) == XST_SUCCESS )
	{
		return 2 ;
	}
	else if(CompareMACAddresses((Xuint8*)Address3, (Xuint8 *)MACAddress) == XST_SUCCESS )
	{
		return 3 ;
	}
	else if(CompareMACAddresses((Xuint8*)Address4, (Xuint8 *)MACAddress) == XST_SUCCESS )
	{
		return 4 ;
	}
	else
		return -1;   // for errors

}



