/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/

#include <stdio.h>

/*********************************************************
 * getBlinds()
 * Set the blinds for each player depending on whether
 * they are big or small blinds for each turn
 * ******************************************************/
void getBlinds() {
	cash[(button+1)%num] -= blind;
	bet[(button+1)%num] = blind;
	totalbet[(button+1)%num] = blind;

	cash[(button+2)%num] -= 2*blind;
	bet[(button+2)%num] = 2*blind;
	totalbet[(button+2)%num] = 2*blind;
	maxcurrentbet = 2*blind;
	printHands(0);
	xil_printf("Pot: %d\n\r", pot);
}

/***********************************************************
 * getBet(int player)
 * If player is the server then ask for a bet from the user
 * else send a bet request to the client machine for player
 * ********************************************************/
int getBet(int player) {
	char input,dummy;
	int amount, invalid;

	if (player == playerid - 1 ) {
	    // player is server user, ask for bet from user
	    xil_printf("Player %d's turn:", playerid);
	    if (bet[player] < maxcurrentbet) {
		xil_printf("(C)all, (R)aise, (F)old:  ");
		drawText("CALL, RAISE, FOLD\n",BLACK,HEIGHT-2,0);
	    } else {
		xil_printf("(C)heck, (R)aise");
		drawText("CHECK, RAISE\n",BLACK,HEIGHT-2,0);
	    }

	    do {
		// loop until user enters in a valid bet
		invalid = 1;
		input = inbyte();
		xil_printf("input: %c\n\r",input);
		if ((bet[playerid-1] < maxcurrentbet) && (input == 'c' || input == 'r' || input == 'f')) {
			invalid = 0;
		}
		if ((bet[playerid-1] == maxcurrentbet) && (input == 'c' || input == 'r')) {
			invalid = 0;
		}
	    } while (invalid);
	    switch (input) {
	    // print out player bet status
	    case 'c':	        xil_printf("Player %d calls/checks\n\r", playerid);
				sendStatus(0,playerid,0);
				drawText("                 \n",BLACK,HEIGHT-2,0);
				return maxcurrentbet-bet[playerid-1];
	    case 'r':	        xil_printf("Player %d raises\n\r", playerid);
				xil_printf("Raise: ");
				drawText("RAISE:           \n",BLACK,HEIGHT-2,0);
				amount = inbyte();
				amount -= 48;
				printf("%d", amount);
				drawText("                 \n",BLACK,HEIGHT-2,0);
				if (playerbet > cash[player]) {	//bet more than has cash, ie ALLIN
					status[player] = ALLIN;
					amount = cash[player];
				}							
				sendStatus(1,playerid,amount);
				//maxcurrentbet += amount;
				return (amount+maxcurrentbet-bet[playerid-1]);
	    case 'f':	        xil_printf("Player %d folds\n\r", playerid);
				sendStatus(3,playerid,0);
				drawText("                 \n",BLACK,HEIGHT-2,0);
				return -1;
	    }
	} else {
		// request bet from client player
		sendDoBet();
		dobet = 0;
		xil_printf("Waiting for bet from opponent...\n\r");
		while (dobet == 0) {
			// wait for incoming bet from player to interrupt this loop and set dobet to 1
		}
		return tempbet;
	}

}
; 
