/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/

//***********************************************
//   cards.h
//===============================================
//   Bits 0-13 code its value
//       x x A K  Q J T 9  8 7 6 5  4 3 2 A
//   And bits 16-19 code its suit
//       s h d c  
//   So that the J of diamonds is represented
//   in binary and hex as
//     0010 0000 0100 0000 0000  (binary)
//     0x20400  (hex)
//   These are stored in a look-up table that
//   expects index values of 1 thru 52 (not zero)
int bitcards[]={
   0x00000, 
   //  clubs
   0x12001, 0x11000, 0x10800, 0x10400, 0x10200,
   0x10100, 0x10080, 0x10040, 0x10020, 0x10010,
   0x10008, 0x10004, 0x10002,
   //  diamonds
   0x22001, 0x21000, 0x20800, 0x20400, 0x20200,
   0x20100, 0x20080, 0x20040, 0x20020, 0x20010,
   0x20008, 0x20004, 0x20002,
   //  hearts
   0x42001, 0x41000, 0x40800, 0x40400, 0x40200,
   0x40100, 0x40080, 0x40040, 0x40020, 0x40010,
   0x40008, 0x40004, 0x40002,
   //  spades
   0x82001, 0x81000, 0x80800, 0x80400, 0x80200,
   0x80100, 0x80080, 0x80040, 0x80020, 0x80010,
   0x80008, 0x80004, 0x80002 };       
//============================================
//  card values 1=A, 2=K.... 13=2
//--------------------------------------------
int valcards[]= {  0,
  1,2,3,4,5,6,7,8,9,10,11,12,13,
  1,2,3,4,5,6,7,8,9,10,11,12,13,
  1,2,3,4,5,6,7,8,9,10,11,12,13,
  1,2,3,4,5,6,7,8,9,10,11,12,13 };
//============================================
//  card suits 1=clubs, 2=diamonds...
//--------------------------------------------
int suitcards[] = { 0,
  1,1,1,1,1,1,1,1,1,1,1,1,1,
  2,2,2,2,2,2,2,2,2,2,2,2,2,
  3,3,3,3,3,3,3,3,3,3,3,3,3,
  4,4,4,4,4,4,4,4,4,4,4,4,4 };
