/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/

#include <stdio.h>
#include "cards.h"
/************************************************************
 * dealHoldem()
 * Deal the poker hands and board for each player
 * *********************************************************/
void dealHoldem() {
    int j,n;
    static int flag1=0,flag2=0;;
    if(flag1==0) {
        flag1=1;
        idum3=-1;  // initial value for random generator
        remapH();  // sets up holdem hands to deck mapping
        initDeck();
	} // start with a new deck
    flag2+=1;
    //  Re-randomize deck mapping
    if(flag2>1000) {flag2=0; remapH();}
    shuffle();
    for(j=0;j<numplayers*2+5;j++) {
    	n=holdemMap[j];
    	bitHands[j]=bitcards[deck[n]];  
    	valHands[j]=valcards[deck[n]];
    	suitHands[j]=suitcards[deck[n]];
    }
}
