/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/

/*************************************************
 * fastran()
 * Random number generator for shuffling the deck
 * Seeded by SEED determined by time for client 
 * to connect
 * **********************************************/
#include <stdlib.h>
#define BITS 1000000000
//#define SEED 161803398
#define ZERO 0

int fastran(int *iseed) {
	static int inext,inextp;
	static int list[56];
	static int iff=0;
	int valA,valB;
	int i,j,k;
	if (*iseed < 0 || iff == 0) {
		iff=1;
		valA=labs(SEED-labs(*iseed));
		valA %= BITS;
		list[55]=valA;
		valB=1;
		for (i=1;i<=54;i++) {
			j=(21*i) % 55;
			list[j]=valB;
			valB=valA-valB;
			if (valB < ZERO) valB += BITS;
			valA=list[j];
		}
		for (k=1;k<=4;k++)
			for (i=1;i<=55;i++) {
				list[i] -= list[1+(i+30) % 55];
				if (list[i] < ZERO) list[i] += BITS;
			}
		inext=0;
		inextp=31;
		*iseed=1;
	}
	if (++inext == 56) inext=1;
	if (++inextp == 56) inextp=1;
	valA=list[inext]-list[inextp];
	if (valA < ZERO) valA += BITS;
	list[inext]=valA;
  return valA;
}

