/******************************************************************************
*
* 	2 player Network Poker using Xilinx Multimedia Boards
* 	Authors:	Lyndon Carvalho and Hin Chan
*			ECE532 - Digital Hardware 2004/2005
*			Prof. Paul Chow
*			University of Toronto
* 
* 	Description: 	Server for a 2 player network poker game between 2
*			Xilinx Multimedia Boards connected thru a hub via
*			the ethernet
*
*******************************************************************************/

//***********************************************
//   shuffle2.c
//     These functions shuffle a deck of cards.
//----------------------------------------------
#include <stdio.h>
#include <math.h>
#include <stdlib.h>



//================================================
//  initDeck()
//    sets starting state of the deck
//------------------------------------------------
void initDeck() {
int j;
  for(j=0;j<53;j++) {deck[j]=j;}  }
//==================================================
//  remapH()
//    Assigns slots in the deck to each
//    player and the board. Must be called
//    once, but may be called repeatedly
//    to improve randomization, if necessary.
//--------------------------------------------------
void remapH() {
int j,n;
int picks[53];
  for(j=0;j<numplayers*2+5;j++) holdemMap[j]=0;
  for(j=1;j<=52;j++) picks[j]=1;
  for(j=0;j<numplayers*2+5;j++) {
    pick:  n=1+((fastran(&idum3)>>6) & 0x3f);
    if(n>52) goto pick;
    if(picks[n]<1) goto pick;
    picks[n]=0;
    holdemMap[j]=n;
    }
}
//=================================================
//   shuffle()
//     This function shuffles in place the cards
//     in deck[] by the value set in nloops (which
//     here is 50). It uses a 32-bit integer
//     random number generator.
//------------------------------------------------
void shuffle() {
int j,n,n1,n2;
static int loops=52;
  remapH();
  pick1:  n1=1+((fastran(&idum3)>>4) & 0x3f);
  if(n1>52) goto pick1;
  for(j=1;j<=loops;j++) {
    n=deck[n1];
    pick2:  n2=1+((fastran(&idum3)>>4) & 0x3f);
    if(n2>52) goto pick2;
    deck[n1]=deck[n2];
    deck[n2]=n;
    n1=n2;
    }
}

void printDeck() {
int j;
for(j=1;j<53;j++){
	printf("Deck[%d] = %d\n", j, deck[j]);
}
}
